Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
Public Class PaymentOption
    Inherits BaseObject
    Private _ShortName As String
    Private _ShortName_GB As String 'Angol megnevezés
    Private _Description As String
    Private _Description_GB As String 'Angol leírás
    Private _PayMode As ePayMode
    Private _PayDay As Long
    Private _DefaultForBusinnes As Boolean = False 'Üzleti alapértelmezés
    Private _DatePaymentMode As eDatePaymentMode 'Fiz hat. nap számítás módja
    Private _IsControlling_InCash As Boolean 'Készpénzes rögzítés esetén csináljon-e 
    Private _Controlling_InCash As Controlling 'Készpénz esetén GLAccounts rögzítéskor a kifizetés mire menjen (automatikus sor beszúrás) !

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        DatePaymentMode = eDatePaymentMode.eDateCreated
    End Sub
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description() As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property PayMode() As ePayMode
        Get
            Return _PayMode
        End Get
        Set(ByVal value As ePayMode)
            SetPropertyValue("PayMode", _PayMode, value)
        End Set
    End Property
    Property PayDay() As Long
        Get
            Return _PayDay
        End Get
        Set(ByVal value As Long)
            SetPropertyValue("PayDay", _PayDay, value)
        End Set
    End Property
    Property DefaultForBusinnes As Boolean
        Get
            Return _DefaultForBusinnes
        End Get
        Set(value As Boolean)
            SetPropertyValue("DefaultForBusinnes", _DefaultForBusinnes, value)
        End Set
    End Property
    Property ShortName_GB As String
        Get
            Return _ShortName_GB
        End Get
        Set(value As String)
            SetPropertyValue("ShortName_GB", _ShortName_GB, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description_GB() As String
        Get
            Return _Description_GB
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description_GB", _Description_GB, value)
        End Set
    End Property
    Property DatePaymentMode As eDatePaymentMode
        Get
            Return _DatePaymentMode
        End Get
        Set(value As eDatePaymentMode)
            SetPropertyValue("DatePaymentMode", _DatePaymentMode, value)
        End Set
    End Property
    Property IsControlling_InCash As Boolean
        Get
            Return _IsControlling_InCash
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsControlling_InCash", _IsControlling_InCash, value)
        End Set
    End Property

    Property Controlling_InCash As Controlling
        Get
            Return _Controlling_InCash
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling_InCash", _Controlling_InCash, value)
        End Set
    End Property
End Class 'Fizetési mód

